Subject: Re: bug#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.

From: zimoun <[email-masked]>
Date: Mon, 03 Jan 2022 18:01:12 +0100

Hi,

On Fri, 31 Dec 2021 at 23:49, Morgan Smith <[email-masked]> wrote:

> I've explicitly removed sudo from my machine as supposedly sudo is a
> large complex codebase that likely has bugs (although that's probably
> just openBSD propaganda).

Guix documentation uniquely relies on ’sudo’.  And for instance, I was
not aware of such propaganda. :-)

Well, I do not have an opinion, but AFAIK, Guix does not work on the top
of OpenBSD (yet! who knows if someone will not port a BSD kernel with a
GNU userland as Debian did some time ago [1] ;-))

For me, it is a niche and for consistency, all the commands using ’sudo’
should also provide the ’doas’ way.  And I am not convinced the burden
is worth.  Well, I do not have an opinion.

1: <https://www.debian.org/ports/kfreebsd-gnu/index.en.html>

Cheers,
simon